Update inventory import file configuration - Fabric

Update inventory import file configuration

cURL

curl --request PUT \
  --url https://api.fabric.inc/v3/inventory-import-configs/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-channel-id: <x-fabric-channel-id>' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data '\n{
  "filePrefix": "oms_",
  "groupName": "Location0or2",
  "rules": {
    "locationFilters": [
      {
        "condition": "EQ",
        "field": "locationNum",
        "value": "11245"
      },
      {
        "condition": "IN",
        "field": "type",
        "values": [
          "DC",
          "STORE"
        ]
      }
    ]
  },
  "id": "821018391"
}
'  

Python

import requests

url = "https://api.fabric.inc/v3/inventory-import-configs/{id}"

payload = {
    "filePrefix": "oms_",
    "groupName": "Location0or2",
    "rules": { "locationFilters": [
            {
                "condition": "EQ",
                "field": "locationNum",
                "value": "11245"
            },
            {
                "condition": "IN",
                "field": "type",
                "values": ["DC", "STORE"]
            }
        ] },
    "id": "821018391"
}
headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "x-fabric-channel-id": "<x-fabric-channel-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)

JavaScript Fetch

const options = {
  method: 'PUT',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    'x-fabric-channel-id': '<x-fabric-channel-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    filePrefix: 'oms_',
    groupName: 'Location0or2',
    rules: {
      locationFilters: [
        {condition: 'EQ', field: 'locationNum', value: '11245'},
        {condition: 'IN', field: 'type', values: ['DC', 'STORE']}
      ]
    },
    id: '821018391'
  })
};

fetch('https://api.fabric.inc/v3/inventory-import-configs/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response statuses

Example request body

{
  "filePrefix": "oms_",
  "groupName": "Location0or2",
  "rules": {
    "locationFilters": [
      {
        "condition": "EQ",
        "field": "locationNum",
        "value": "11245"
      },
      {
        "condition": "IN",
        "field": "type",
        "values": [
          "DC",
          "STORE"
        ]
      }
    ]
  },
  "id": "821018391"
}

Example error responses

{
  "errors": [
    {
      "message": "Invalid request",
      "type": "CLIENT_ERROR"
    }
  ],
  "message": "Bad request",
  "type": "CLIENT_ERROR"
}
{
  "message": "Unauthorized request",
  "type": "CLIENT_ERROR"
}
{
  "message": "Resource not found. If the issue persists please contact support@fabric.inc",
  "type": "CLIENT_ERROR"
}
{
  "message": "Internal server error",
  "type": "SERVER_ERROR"
}